/* GENERIC TILE

used for:
- menu pages in tile mode (image will be fetched from linked page resources)
- menu subpages
- waterfall (additional styles required for object-fit) in waterfall styling
 */

.generic-tile {
    position: relative;
    display: block;
    font-family: inherit;
}

a.generic-tile {
    text-decoration: none;
}

.generic-tile .generic-tile-image {
    position: relative;
}

.generic-tile-image img {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
}

.generic-tile-image-layer-container {
    position: absolute;
    top: 0;
    left: 0;
    overflow: hidden;
    width: 100%;
    height: 100%;
}

.generic-tile .generic-tile-image-layer {
    container-type: inline-size;
    container-name: generic-tile;
    text-align: center;
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: flex-end;
    justify-content: center;
    opacity: 0;
    transform: translateZ(0);
    color: white;
    background-color: rgba(0,0,0,0.4);
    transition: opacity 0.2s ease-out, transform 0.2s ease-out;
    padding: 1rem;
}

.generic-tile .generic-tile-image-layer.generic-tile-image-layer-alternate-color {
    background-color: rgba(15,11,11,.7);
}

.generic-tile.generic-tile-hovered .generic-tile-image-layer {
    opacity: 1;
    transform: scale(1);
    z-index: 2;
}

/* hover on whole tile will affect image layer) */
.generic-tile.generic-tile-hovered .generic-tile-image:after {
    z-index: 1;
    opacity: 1;
}

/* content inside tile - default size */
.generic-tile-image-layer-title {
    text-transform: uppercase;
    font-weight: 700;
    margin-bottom: 1rem;
    font-size: min(8cqw, 2.174rem); /* 1.4rem  */
    line-height: 1em;
}

.generic-tile-image-layer-text {
    margin: 0;
    font-size: 1rem;
    transform: translateY(20px);
    transition: transform 0.2s ease-out;
}
.generic-tile.generic-tile-hovered .generic-tile-image-layer-text {
    transform: translateY(0);
}

.generic-tile-image-layer-cta {
    position: relative;
    font-size: 0.8rem;
    font-weight: 200;
    letter-spacing: 0.1rem;
    margin-top: 1rem;
    display: flex;
    justify-content: center;
}

.generic-tile-image-layer-magnifier {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(1.3);
    width: 20px;
    height: 20px;
    transition: transform 0.2s ease-out;
}

.generic-tile.generic-tile-hovered .generic-tile-image-layer-magnifier {
    transform: translate(-50%, -50%) scale(1);
}

.generic-tile-image-layer-magnifier svg {
    display: block;
}

.cta-left, .cta-right {
    flex: 1 1 auto;
    position: relative;
    max-width: 2.5rem;
    padding: 0 1rem;
}

.generic-tile-image-layer-cta span {
    flex: 0 1 auto;
    position: relative;
    display: block;
    padding: 0 0.5rem;
}

.cta-left:before, .cta-right:after {
    content: '';
    position: absolute;
    width: 100%;
    border-bottom: 1px solid white;
    left: 0;
    top: 50%;
    transform: translateY(-100%);
}

.generic-tile-image-layer-cta span:after {
    left: auto;
    right: 0;
    transform: translateX(100%);
}

.generic-tile-image-layer-title {
    margin: 0 0 0.6rem 0;
}

.generic-tile-image-layer-cta {
    margin: 0.6rem 0 0 0;
}

/* Content below tile */
.generic-tile-text {
    margin: 0.6rem 0 0 0;
    opacity: 1;
    transform: translateY(0);
    transition: all 0.2s linear;
}

.generic-tile.generic-tile-hide-text.generic-tile-hovered .generic-tile-text{
    opacity: 0;
    transform: translateY(-20px);
}

.generic-tile-text p {
    font-size: 1.2rem;
    line-height: 1.3em;
    margin-bottom: 0.3rem;
}

.generic-tile-text p:last-child {
    margin-bottom: 0;
}

.generic-tile-text p.subline, .generic-tile-text p.subline a {
    font-weight: 300;
    color: #BFC3C6;
    transition: color 0.2s ease-in-out;
    text-decoration: none;
}

@media (max-width: 575px) {
    .generic-tile-text p {
        font-size: 0.8rem;
    }
}
